Вернуться   Форум RadioCMS > RadioCMS > Установка RadioCMS

Добро пожаловать на Форум RadioCMS.
Форум доступен только для чтения.

Ответ
Опции темы Опции просмотра
  #1  
Непрочитано 17.08.2010, 20:26
admin admin вне форума
Administrator
 
Регистрация: 17.08.2010
О.С.: Debian 7
Версия: 2.5
Сообщений: 844
По умолчанию Установка libssh2

Установка libssh2 для FreeBSD
Цитата:
cd /usr/ports/security/libssh2 && make install clean
cd /usr/ports/security/pecl-ssh2 && make install clean
Далее в /etc/ssh/sshd_config проверяем что бы было PasswordAuthentication yes и что бы эта строка не была закомментрирована и перезагружаем /etc/rc.d/sshd restart

Установка libssh2 для Debian\Ubuntu
Цитата:
aptitude install libssh2-1-dev libssh2-php
Установка libssh2 из исходников
Цитата:
wget http://www.libssh2.org/download/libssh2-1.2.7.tar.gz
tar zxvf libssh2-1.2.7.tar.gz
cd libssh2-1.2.7
./configure
make && make install

wget http://pecl.php.net/get/ssh2-0.11.2.tgz
tar -zxvf ssh2-0.11.2.tgz
cd ssh2-0.11.2
phpize
./configure
make && make install
Далее:
1. Далее копируем файл ssh2.so в директорию с расширениями (где она можно посмотреть через phpinfo();)
2. Открываем файл php.ini и добавляем туда extension=ssh2.so (где находится php.ini можно посмотреть через через phpinfo();)
3. Перезагружаем апач
При установке не из исходников: действия 1,2,3 - все или по отдельности могут быть сделаны автоматически
Ответить с цитированием
  #2  
Непрочитано 02.09.2010, 19:46
metra52 metra52 вне форума
Junior Member
 
Регистрация: 02.09.2010
Сообщений: 22
По умолчанию проблема с SSH2

Судя по всему проблема с SSH2 при установке и соеденении к серверу вылезает ошибка
Цитата:
Неправильный логин или пароль.
Ответить с цитированием
  #3  
Непрочитано 02.09.2010, 19:56
admin admin вне форума
Administrator
 
Регистрация: 17.08.2010
О.С.: Debian 7
Версия: 2.5
Сообщений: 844
По умолчанию

Бывает такое что правильный пароль не подходит, это связано с тем что пользоваться библиотекой libssh2 через php можно только с включённым PasswordAuthentication (а не всегда оно по умолчанию включено)

Проверьте в конфигах
1. /etc/ssh/sshd_config
2. /etc/ssh/ssh_config

Что было PasswordAuthentication yes

Затем перезагрузите sshd командой /etc/rc.d/sshd restart
Ответить с цитированием
  #4  
Непрочитано 12.09.2010, 19:33
cmexonat cmexonat вне форума
Junior Member
 
Регистрация: 12.09.2010
Сообщений: 4
По умолчанию

Здравствуйте!
Решил попробовать вашу CMS :)
На firstvds.ru у меня стоит FreeBSD 6.3-STABLE
Ezstream собрался и запустился Ок.

С установкой либы пока не получается.
Собрал из портов libssh2
#make install clean
Не подскажите, как получить файл .so?
#phpize ругается Cannot find config.m4.
Собирать ли из портов еще и ssh2?
В каком каталоге нужно запускать phpize?

Спасибо!
Ответить с цитированием
  #5  
Непрочитано 12.09.2010, 19:56
admin admin вне форума
Administrator
 
Регистрация: 17.08.2010
О.С.: Debian 7
Версия: 2.5
Сообщений: 844
По умолчанию

Вы делаете phpize в исходниках libssh2 или ssh2? Нужно скачать ssh2 (http://pecl.php.net/package/ssh2) распаковать, зайти и выполнить phpize (Файл config.m4 находится в исходниках ssh2).
Ответить с цитированием
  #6  
Непрочитано 13.09.2010, 20:02
cmexonat cmexonat вне форума
Junior Member
 
Регистрация: 12.09.2010
Сообщений: 4
По умолчанию

Получилось. Нужно было поставить из портов pecl-ssh2
Вся установка для хостинга freebsd на firstvds.ru в итоге:
#cd /usr/ports/security/libssh2
#make install clean
#cd /usr/ports/security/pecl-ssh2
#make install clean
Ответить с цитированием
  #7  
Непрочитано 18.09.2010, 21:08
Глебон Глебон вне форума
Junior Member
 
Регистрация: 18.09.2010
Сообщений: 4
По умолчанию

как правильно сделать компиляция файла ssh2.so?
ОС Debian
При команде phpize пишет что нет такой команды.....
Ответить с цитированием
  #8  
Непрочитано 19.09.2010, 00:22
admin admin вне форума
Administrator
 
Регистрация: 17.08.2010
О.С.: Debian 7
Версия: 2.5
Сообщений: 844
По умолчанию

Цитата:
Сообщение от Глебон Посмотреть сообщение
как правильно сделать компиляция файла ssh2.so?
ОС Debian
При команде phpize пишет что нет такой команды.....
Если ошибка такая:
phpize: command not found
То для Дебайна выполните:
apt-get install php5-dev
После этого снова выполните phpize
Ответить с цитированием
  #9  
Непрочитано 19.09.2010, 02:45
Глебон Глебон вне форума
Junior Member
 
Регистрация: 18.09.2010
Сообщений: 4
По умолчанию

Цитата:
Сообщение от Set Посмотреть сообщение
Если ошибка такая:
phpize: command not found
То для Дебайна выполните:
apt-get install php5-dev
После этого снова выполните phpize
E: Sub-process /usr/bin/dpkg returned an error code (1)
Что не так?
Ответить с цитированием
  #10  
Непрочитано 19.09.2010, 15:27
admin admin вне форума
Administrator
 
Регистрация: 17.08.2010
О.С.: Debian 7
Версия: 2.5
Сообщений: 844
По умолчанию

Это не полный текст ошибки (должны быть ещё строки)
Ответить с цитированием
Ответ

Опции темы
Опции просмотра

Ваши права в разделе
Вы не можете создавать новые темы
Вы не можете отвечать в темах
Вы не можете прикреплять вложения
Вы не можете редактировать свои сообщения

BB коды Вкл.
Смайлы Вкл.
[IMG] код Вкл.
HTML код Выкл.

Быстрый переход


Часовой пояс GMT +3, время: 05:21.